Skip to Content

List malware held outside Spam threads

Lists isolated messages, newest first. Only metadata is stored.

GET
/v1/mailboxes/{id}/spam/held

Lists isolated messages, newest first. Only metadata is stored. Use the thread list with folder=spam to read Spam. The after and before filters apply to when the message was held.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string
after?string
before?string

Response Body

MailboxSpamHeldPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.listSpamHeld({
  "id": "example"
});
Example Response
{
  "items": [
    {
      "id": "string",
      "disposition": "quarantined",
      "reason": "spam",
      "source": "receipt",
      "from": {
        "address": "string",
        "name": "string"
      },
      "subject": "string",
      "receivedAt": "string",
      "heldAt": "string",
      "releasedAt": "string",
      "threadId": "string",
      "discardedAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation